Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v11.ac
Class ACElement

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v11.ac.ACElement`

Direct Known Subclasses:
  AuthenticationMethod, Authenticator, AuthenticatorTransportProtocol, DeactivationCallCenter, DigSig, Generation, GoverningAgreementRef, GoverningAgreements, HTTP, Identification, IPSec, KeyActivation, KeyStorage, Length, MobileAuthCard, MobileDevice, MobileNetwork, OperationalProtection, Password, PhysicalVerification, PreviousSession, PrincipalAuthenticationMechanism, PrivateKeyProtection, SecurityAudit,

  public abstract class ACElement
  extends oracle.security.xmlsec.util.XMLElement

  Abstract class that represents elements in the Liberty authentication context namespace (http://projectliberty.org/schemas/authctx/2002/05).

  Since:
    1.0

  Field Summary
  `protected AuthenticationContextStatement` | `authenticationContextClass` The authentication context class to which this element belongs.

  Fields inherited from class oracle.security.xmlsec.util.XMLNode
  `node, systemId`

  Constructor Summary
  `protected` | `ACElement(org.w3c.dom.Document owner, java.lang.String nsURI, java.lang.String localName, AuthenticationContextStatement acs)` Creates a new `ACElement` instance in the given document with the given namespace, local name, and authentication context.
  `protected` | `ACElement(org.w3c.dom.Element element, AuthenticationContextStatement acs)` Creates a new `ACElement` object that wraps the given Element object.
  `protected` | `ACElement(org.w3c.dom.Element element, java.lang.String systemId, AuthenticationContextStatement acs)` Creates a new `ACElement` object that wraps the given Element object.

  Method Summary
  `protected AuthenticationContextStatement` | `getAuthenticationContextClass()` Returns this element's authentication context.
  `protected void` | `setAuthenticationContextClass(AuthenticationContextStatement acs)` Sets this element's authentication context.

  Methods inherited from class oracle.security.xmlsec.util.XMLElement
  `addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

  Methods inherited from class oracle.security.xmlsec.util.XMLNode
  `appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### authenticationContextClass

      protected AuthenticationContextStatement authenticationContextClass

    The authentication context class to which this element belongs.

  Constructor Detail

  ### ACElement

      protected ACElement(org.w3c.dom.Element element,
                          AuthenticationContextStatement acs)

    Creates a new `ACElement` object that wraps the given Element object.
  Parameters:
    `element` - The underlying `org.w3c.dom.Element` object.
    `acs` - The authentication context for the element.

  ### ACElement

      protected ACElement(org.w3c.dom.Element element,
                          java.lang.String systemId,
                          AuthenticationContextStatement acs)

    Creates a new `ACElement` object that wraps the given Element object.
  Parameters:
    `element` - The underlying `org.w3c.dom.Element` object.
    `systemId` - The URI string system ID for the `ACElement`.
    `acs` - The authentication context for the element.

  ### ACElement

      protected ACElement(org.w3c.dom.Document owner,
                          java.lang.String nsURI,
                          java.lang.String localName,
                          AuthenticationContextStatement acs)

    Creates a new `ACElement` instance in the given document with the given namespace, local name, and authentication context.
  Parameters:
    `owner` - The owner document for this new element.
    `nsURI` - The namespace URI for this new element.
    `localName` - The local name for this new element.
    `acs` - The authentication context for this new element.

  Method Detail

  ### setAuthenticationContextClass

      protected void setAuthenticationContextClass(AuthenticationContextStatement acs)

    Sets this element's authentication context.
    Parameters:
      `acs` - The authentication context.

  ### getAuthenticationContextClass

      protected AuthenticationContextStatement getAuthenticationContextClass()

    Returns this element's authentication context.

  Overview | Package | Class | Tree | Deprecated | Index | Help
  | Oracle Security Developer Tools Liberty 1.1 Java API Reference 10g Release 3 (10.1.3) B25384-01
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2005, 2006 , Oracle. All rights reserved.